Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.presenton.ai/api/v1/ppt/template/all \ --header 'Authorization: <authorization>'
import requestsurl = "https://api.presenton.ai/api/v1/ppt/template/all"headers = {"Authorization": "<authorization>"}response = requests.get(url, headers=headers)print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};fetch('https://api.presenton.ai/api/v1/ppt/template/all', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
[ { "id": "<string>", "name": "<string>", "total_layouts": 123 } ]
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>", "input": "<unknown>", "ctx": {} } ]}
Bearer JWT or API Key
Whether to include default templates
Successful Response
Was this page helpful?